package net.northking.cctp.upperComputer.driver.harmony.hyppium.action;


import net.northking.cctp.upperComputer.driver.harmony.hyppium.RequestData;
import net.northking.cctp.upperComputer.driver.harmony.hyppium.data.CaptureScreenData;

/**
 * 动作：开始捕捉屏幕图片流数据
 */
public class StartCaptureScreenStream extends RequestData<CaptureScreenData> {
    public static StartCaptureScreenStream getInstance(float scale) {
        return new StartCaptureScreenStream(scale);
    }

    private StartCaptureScreenStream(float scale) {
        super("Captures", "startCaptureScreen", new CaptureScreenData(scale));
    }
}
